明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1701|回复: 3

算線長程序!!!!!!!!!

[复制链接]
发表于 2003-7-15 22:49:00 | 显示全部楼层 |阅读模式
小弟我寫了個算周長的程序,但是只能算園孔,如果是異形(PLINE)那要怎麼算呢.
(defun c:llk ()
  (setq llm nil)
  (setq count 0)
  (setq ss (ssget))
  (while (> (sslength ss) count)
    (setq en (ssname ss count))
    (setq ed (entget en))
    (setq count (1+ count))
    (setq r (cdr (assoc 40 ed)))
    (setq d (* 2 r))
    (setq ll (* d pi))
    (setq llm (cons ll llm))
    (setq lll (apply '+ llm))
  )
                                        ;(setq ll(itoa lll))
                                        ;(setq len (strcat "Length:" ll))
  (princ "\nText high <")
  (setq t_hight (getvar "TEXTSIZE"))
  (princ t_hight)
  (setq t_hight (getstring ">"))
  (setq p1 (getpoint "\ninsert point"))
  (command "text" p1 t_hight 0 lll)
  (princ)
)
"觉得好,就打赏"
还没有人打赏,支持一下
发表于 2003-7-16 08:07:00 | 显示全部楼层
查看
http://www.mjtd.com/a2/list.asp?id=319
发表于 2003-7-16 08:18:00 | 显示全部楼层
(defun GetCurveLength (curve / )
  (vl-load-com)
  (setq curve (vlax-ename->vla-object curve))
  (vlax-curve-getDistAtParam curve
    (vlax-curve-getEndParam curve)
  )
)
 楼主| 发表于 2003-7-16 09:20:00 | 显示全部楼层

謝謝各位

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 18:44 , Processed in 0.170856 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表